# Module `druid.radio_group`

Radio group module

## Functions

init(node, callback[, click=node]) | Component init function
set_state(index) | Set radio group state
get_state() | Return radio group state

## Tables

Events | Component events
Fields | Component fields

## Functions

init(node, callback[, click=node])
  Component init function

  ### Parameters:

  - node node[] Array of gui node
  - callback function Radio callback
  - click node[] node Array of trigger nodes, by default equals to nodes (default node)
set_state(index)
  Set radio group state

  ### Parameters:

  - index number Index in radio group
get_state()
  Return radio group state

  ### Returns:

  number Index in radio group

## Tables

Events
  Component events

  ### Fields:

  - on_radio_click druid_event On any checkbox click
Fields
  Component fields

  ### Fields:

  - checkboxes table Array of checkbox components

generated by LDoc 1.4.6 Last updated 2020-06-14 20:13:02